Clipform

Search products from connected Shopify store

Proxies the Shopify Storefront API to list/search products. Requires an active Shopify connection for the workspace.

GET
/integrations/shopify/products

Authorization

Authorization
Required
Bearer <token>

Supabase JWT access token

In: header

Query Parameters

workspace_id
Required
string
Format: "uuid"
searchstring

Search query to filter products by title

firstinteger

Number of products to return (max 50)

Default: 20Maximum: 50
curl -X GET "https://api.clipform.io/v1/integrations/shopify/products?workspace_id=497f6eca-6276-4993-bfeb-53cbbbba6f08&search=string&first=20" \
  -H "Authorization: Bearer <token>"

Product list

{
  "products": [
    {
      "id": "string",
      "title": "string",
      "handle": "string",
      "description": "string",
      "image": {
        "url": "string",
        "altText": "string"
      },
      "variants": [
        {
          "id": "string",
          "title": "string",
          "price": {
            "amount": "string",
            "currencyCode": "string"
          },
          "available": true
        }
      ]
    }
  ],
  "shop": "string"
}